umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_xhtmlgenerator.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/docgenerators/xhtmlgenerator.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_XhtmlGenerator_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_XhtmlGenerator_t | qt_meta_stringdata_XhtmlGenerator
static const uint | qt_meta_data_XhtmlGenerator []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_XhtmlGenerator_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_XhtmlGenerator_t
Definition: moc_xhtmlgenerator.cpp:24

## Variable Documentation

## ◆ qt_meta_data_XhtmlGenerator

const uint qt_meta_data_XhtmlGenerator[]
| static

## ◆ qt_meta_stringdata_XhtmlGenerator

const qt_meta_stringdata_XhtmlGenerator_t qt_meta_stringdata_XhtmlGenerator
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 14),
QT_MOC_LITERAL(1, 15, 8),
QT_MOC_LITERAL(2, 24, 0),
QT_MOC_LITERAL(3, 25, 6),
QT_MOC_LITERAL(4, 32, 18),
QT_MOC_LITERAL(5, 51, 17),
QT_MOC_LITERAL(6, 69, 11),
QT_MOC_LITERAL(7, 81, 14)
},
"XhtmlGenerator\0finished\0\0status\0"
"slotDocbookToXhtml\0slotHtmlGenerated\0"
"tmpFileName\0threadFinished"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_xhtmlgenerator.cpp:28